Subject: Re: bug#38282: 26.3; goto-line should not share input history with other commands

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Dec 2019 13:44:50 +0200

> From: Federico Tedin <[email-masked]>
> Date: Fri, 06 Dec 2019 23:14:15 +0100
> Cc: [email-masked]
> 
> > I think it makes sense for read-number to use its own history variable,
> > but it should not be buffer local.  Most inputs are not naturally buffer
> > local.
> 
> No problem - I've added an input history variable for `read-number', and
> a buffer-local one for `goto-line'. I'm attaching a patch with my
> changes.

Thanks, I think this variable should be mentioned in the ELisp manual
(in the "Minibuffer History" node) and in NEWS.